CPU_ROOTCONF(9)

NAME
cpu_rootconf, rootconf, setroot - root file system setup

SYNOPSIS
#include <sys/types.h>
#include <sys/systm.h>
void
cpu_rootconf(void);
void
rootconf(void);
void
setroot(device_t bootdv, int bootpartition);

DESCRIPTION
The cpu_rootconf() is a machine-dependent interface invoked during system bootstrap to determine the root file system device and initialize machine-dependent file system state. cpu_rootconf() provides the global variables booted_device, booted_partition, booted_startblk, and booted_nblks and invokes the machine-independent function rootconf which rootconf then calls the function setroot to record the boot/root device and the boot partition information for use in machine-independent code.

For disk boot, if booted_nblks is not 0, then booted_startblk and booted_nblks are supposed to specify a disk wedge that is used as the root device. Otherwise the booted_partition is used.

SEE ALSO
dk(4), boot(8), boothowto(9)